当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 13 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : deb安装包无法安装怎么办捏????
帖子发表于 : 2010-11-05 22:38 
头像

注册: 2010-05-24 13:02
帖子: 2339
地址: 星城长沙
送出感谢: 0 次
接收感谢: 4
RT,刚刚打开了更新管理器更新,但是更新到大概40%后就卡住不动了,由于Fcitx无法使用,就重启了下系统,但是重启后什么也没干就直接双击deb包安装,但是安装不上。出现下面的问题。。。
(问题图片和进程列表)

请问,需要杀死哪个进程才能成功进行deb包的安装。(事实上,什么新立得,aptitude,软件中心我都没开的啊)

谢谢你的帮忙! :em42


PS: 还有Fcitx启动不了同时也无法输入,请问怎么办?谢谢!(系统监视器里只有一个fcitx进程,正常时应当有两个才对的啊,现在只有那个僵死的fcitx进程了,alt f2也无法运行它)


附件:
install.png
install.png [ 59.97 KiB | 被浏览 1319 次 ]

系统监视器1.png
系统监视器1.png [ 165.63 KiB | 被浏览 1319 次 ]

系统监视器2.png
系统监视器2.png [ 162.79 KiB | 被浏览 1319 次 ]

系统监视器3.png
系统监视器3.png [ 114.8 KiB | 被浏览 1319 次 ]



_________________
安装了不吃亏^_^
Ailurus小熊猫
IcePlayer音乐播放器
奉献给IcePlayer用户
GtkHash哈希计算器
页首
 用户资料  
 
2 楼 
 文章标题 : Re: deb安装包无法安装怎么办捏????
帖子发表于 : 2010-11-05 23:38 
头像

注册: 2008-09-18 13:11
帖子: 2635
送出感谢: 1
接收感谢: 419
应该是update-notifier


页首
 用户资料  
 
3 楼 
 文章标题 : Re: deb安装包无法安装怎么办捏????
帖子发表于 : 2010-11-06 0:14 
头像

注册: 2010-05-24 13:02
帖子: 2339
地址: 星城长沙
送出感谢: 0 次
接收感谢: 4
astolia 写道:
应该是update-notifier


我一开始就把这个进程杀了,但是还是不管用。。。 :em20 应该是另一个进程。


_________________
安装了不吃亏^_^
Ailurus小熊猫
IcePlayer音乐播放器
奉献给IcePlayer用户
GtkHash哈希计算器


页首
 用户资料  
 
4 楼 
 文章标题 : Re: deb安装包无法安装怎么办捏????
帖子发表于 : 2010-11-06 9:26 
头像

注册: 2006-10-25 18:08
帖子: 1582
送出感谢: 0 次
接收感谢: 0 次
最近cups更新容易出问题


_________________
楼主真是一派胡言,真可谓:“两个黄鹂鸣翠柳,不知所云;一行白鹭上青天,不知所止“。本来不想和你辩论,今天气愤不过,和你理论一番。我国宪法写得清清楚楚:“一夜夫妻百日恩,七楼以上才有电梯”。这个想必你知道,既然知道,你就不能断章取义,就算是天气预报,它还有不准的时候呢!!!再者说了,那中国银行也不是你一家开的。人家马拉多纳都结婚了,你还拿着粮票顶什么用呢。真是滑天下之大稽。前些日子,全国人大刚刚开过会,郑重声明:“中国不搞多party制,存栏母猪给补贴”。多好的事呢,楞让你这号人给搅混了。


页首
 用户资料  
 
5 楼 
 文章标题 : Re: deb安装包无法安装怎么办捏????
帖子发表于 : 2010-11-06 9:45 
头像

注册: 2009-03-10 13:04
帖子: 7807
送出感谢: 1
接收感谢: 0 次
看看是不是apt的锁还在?


_________________
广告位招租


页首
 用户资料  
 
6 楼 
 文章标题 : Re: deb安装包无法安装怎么办捏????
帖子发表于 : 2010-11-06 9:45 
头像

注册: 2010-05-24 13:02
帖子: 2339
地址: 星城长沙
送出感谢: 0 次
接收感谢: 4
trigger 写道:
最近cups更新容易出问题


对,就更新这个东西出的问题,更新到一半卡那儿不动了,没办法。。。
现在我的Fcitx都用不了了,真是郁闷。alt f2新建fcitx启动不了。。。。 :em20


_________________
安装了不吃亏^_^
Ailurus小熊猫
IcePlayer音乐播放器
奉献给IcePlayer用户
GtkHash哈希计算器


页首
 用户资料  
 
7 楼 
 文章标题 : Re: deb安装包无法安装怎么办捏????
帖子发表于 : 2010-11-06 9:50 
头像

注册: 2006-10-25 18:08
帖子: 1582
送出感谢: 0 次
接收感谢: 0 次
重启,用终端运行apt-get dist-upgrade
如果卡住在cups,就另开终端
ps aux|grep cups
记下那个start或stop的pid(第二列),sudo kill <pid>
这时upgrade就继续了


_________________
楼主真是一派胡言,真可谓:“两个黄鹂鸣翠柳,不知所云;一行白鹭上青天,不知所止“。本来不想和你辩论,今天气愤不过,和你理论一番。我国宪法写得清清楚楚:“一夜夫妻百日恩,七楼以上才有电梯”。这个想必你知道,既然知道,你就不能断章取义,就算是天气预报,它还有不准的时候呢!!!再者说了,那中国银行也不是你一家开的。人家马拉多纳都结婚了,你还拿着粮票顶什么用呢。真是滑天下之大稽。前些日子,全国人大刚刚开过会,郑重声明:“中国不搞多party制,存栏母猪给补贴”。多好的事呢,楞让你这号人给搅混了。


页首
 用户资料  
 
8 楼 
 文章标题 : Re: deb安装包无法安装怎么办捏????
帖子发表于 : 2010-11-06 13:35 
头像

注册: 2010-05-24 13:02
帖子: 2339
地址: 星城长沙
送出感谢: 0 次
接收感谢: 4
trigger 写道:
重启,用终端运行apt-get dist-upgrade
如果卡住在cups,就另开终端
ps aux|grep cups
记下那个start或stop的pid(第二列),sudo kill <pid>
这时upgrade就继续了


谢谢你的方法,又学习了新知识! :em11


_________________
安装了不吃亏^_^
Ailurus小熊猫
IcePlayer音乐播放器
奉献给IcePlayer用户
GtkHash哈希计算器


页首
 用户资料  
 
9 楼 
 文章标题 : Re: deb安装包无法安装怎么办捏????
帖子发表于 : 2010-11-06 14:37 
头像

注册: 2010-11-06 10:50
帖子: 6
送出感谢: 0 次
接收感谢: 0 次
totom@totom-ThinkPad-SL:~$ ps aux|grep cups
root 1084 0.0 0.1 6792 2436 ? Ss 14:26 0:00 /usr/sbin/cupsd -C /etc/cups/cupsd.conf
root 2795 0.9 1.7 41708 36584 pts/1 Ss+ 14:31 0:00 /usr/bin/dpkg --status-fd 29 --unpack --auto-deconfigure /var/cache/apt/archives/cups_1.4.4-6ubuntu2.2_i386.deb /var/cache/apt/archives/flashplugin-installer_10.1.102.64ubuntu0.10.10.1_i386.deb /var/cache/apt/archives/libgvfscommon0_1.6.4-0ubuntu1.1_i386.deb /var/cache/apt/archives/gvfs-fuse_1.6.4-0ubuntu1.1_i386.deb /var/cache/apt/archives/gvfs-backends_1.6.4-0ubuntu1.1_i386.deb /var/cache/apt/archives/gvfs_1.6.4-0ubuntu1.1_i386.deb /var/cache/apt/archives/gwibber_2.32.0.2-0ubuntu1_all.deb /var/cache/apt/archives/gwibber-service_2.32.0.2-0ubuntu1_all.deb /var/cache/apt/archives/libofetion0_2.0.1-1maverick1_i386.deb /var/cache/apt/archives/libpurple-bin_1%3a2.7.3-1ubuntu3.1_all.deb /var/cache/apt/archives/libpurple0_1%3a2.7.3-1ubuntu3.1_i386.deb /var/cache/apt/archives/openfetion_2.0.1-1maverick1_i386.deb /var/cache/apt/archives/simple-scan_2.32.0-0ubuntu4_i386.deb /var/cache/apt/archives/xul-ext-ubufox_0.9~rc2-0ubuntu5.1_all.deb /var/cache/apt/archives/ubufox_0.9~rc2-0ubuntu5.1_all.deb /var/cache/apt/archives/python-aptdaemon-gtk_0.31+bzr506-0ubuntu4_all.deb /var/cache/apt/archives/aptdaemon_0.31+bzr506-0ubuntu4_all.deb /var/cache/apt/archives/python-aptdaemon_0.31+bzr506-0ubuntu4_all.deb
root 2808 0.0 0.0 1900 508 pts/1 S+ 14:31 0:00 /bin/sh /var/lib/dpkg/info/cups.prerm upgrade 1.4.4-6ubuntu2.2
root 2809 0.0 0.0 6116 1032 pts/1 S+ 14:31 0:00 stop cups
totom 2918 0.0 0.0 5632 768 pts/2 R+ 14:32 0:00 grep --color=auto cups


我应该kill那个啊?在线等候


页首
 用户资料  
 
10 楼 
 文章标题 : Re: deb安装包无法安装怎么办捏????
帖子发表于 : 2010-11-06 14:52 
头像

注册: 2010-05-24 13:02
帖子: 2339
地址: 星城长沙
送出感谢: 0 次
接收感谢: 4
sudo apt-get clean先!


_________________
安装了不吃亏^_^
Ailurus小熊猫
IcePlayer音乐播放器
奉献给IcePlayer用户
GtkHash哈希计算器


页首
 用户资料  
 
11 楼 
 文章标题 : Re: deb安装包无法安装怎么办捏????
帖子发表于 : 2010-11-07 20:49 

注册: 2008-10-09 13:40
帖子: 2
送出感谢: 0 次
接收感谢: 0 次
totom 写道:
totom@totom-ThinkPad-SL:~$ ps aux|grep cups
root 1084 0.0 0.1 6792 2436 ? Ss 14:26 0:00 /usr/sbin/cupsd -C /etc/cups/cupsd.conf
root 2795 0.9 1.7 41708 36584 pts/1 Ss+ 14:31 0:00 /usr/bin/dpkg --status-fd 29 --unpack --auto-deconfigure /var/cache/apt/archives/cups_1.4.4-6ubuntu2.2_i386.deb /var/cache/apt/archives/flashplugin-installer_10.1.102.64ubuntu0.10.10.1_i386.deb /var/cache/apt/archives/libgvfscommon0_1.6.4-0ubuntu1.1_i386.deb /var/cache/apt/archives/gvfs-fuse_1.6.4-0ubuntu1.1_i386.deb /var/cache/apt/archives/gvfs-backends_1.6.4-0ubuntu1.1_i386.deb /var/cache/apt/archives/gvfs_1.6.4-0ubuntu1.1_i386.deb /var/cache/apt/archives/gwibber_2.32.0.2-0ubuntu1_all.deb /var/cache/apt/archives/gwibber-service_2.32.0.2-0ubuntu1_all.deb /var/cache/apt/archives/libofetion0_2.0.1-1maverick1_i386.deb /var/cache/apt/archives/libpurple-bin_1%3a2.7.3-1ubuntu3.1_all.deb /var/cache/apt/archives/libpurple0_1%3a2.7.3-1ubuntu3.1_i386.deb /var/cache/apt/archives/openfetion_2.0.1-1maverick1_i386.deb /var/cache/apt/archives/simple-scan_2.32.0-0ubuntu4_i386.deb /var/cache/apt/archives/xul-ext-ubufox_0.9~rc2-0ubuntu5.1_all.deb /var/cache/apt/archives/ubufox_0.9~rc2-0ubuntu5.1_all.deb /var/cache/apt/archives/python-aptdaemon-gtk_0.31+bzr506-0ubuntu4_all.deb /var/cache/apt/archives/aptdaemon_0.31+bzr506-0ubuntu4_all.deb /var/cache/apt/archives/python-aptdaemon_0.31+bzr506-0ubuntu4_all.deb
root 2808 0.0 0.0 1900 508 pts/1 S+ 14:31 0:00 /bin/sh /var/lib/dpkg/info/cups.prerm upgrade 1.4.4-6ubuntu2.2
root 2809 0.0 0.0 6116 1032 pts/1 S+ 14:31 0:00 stop cups
totom 2918 0.0 0.0 5632 768 pts/2 R+ 14:32 0:00 grep --color=auto cups


我应该kill那个啊?在线等候


sudo kill 2809

一会你可能还会卡在 cups上
重复前面的方法

edison@edison-Vostro-220s-Series:~$ ps aux|grep cups
root 979 0.0 0.1 6792 2440 ? Ss 20:37 0:00 /usr/sbin/cupsd -C /etc/cups/cupsd.conf
root 2890 0.0 0.2 11344 6056 pts/1 Ss+ 20:42 0:00 /usr/bin/dpkg --status-fd 34 --configure cups linux-image-2.6.35-23-generic libpurple-bin libpurple0 linux-headers-2.6.35-23 linux-headers-2.6.35-23-generic linux-libc-dev xserver-xorg-video-intel
root 2892 0.1 0.3 13208 7904 pts/1 S+ 20:42 0:00 /usr/bin/perl -w /usr/share/debconf/frontend /var/lib/dpkg/info/cups.postinst configure 1.4.4-6ubuntu2.1
root 2900 0.0 0.0 1900 584 pts/1 S+ 20:42 0:00 /bin/sh /var/lib/dpkg/info/cups.postinst configure 1.4.4-6ubuntu2.1
root 2933 0.0 0.0 6116 1032 pts/1 S+ 20:42 0:00 start cups
edison 3155 0.0 0.0 5632 772 pts/2 S+ 20:43 0:00 grep --color=auto cups

sudo kill 2933


页首
 用户资料  
 
12 楼 
 文章标题 : Re: deb安装包无法安装怎么办捏????
帖子发表于 : 2010-11-07 23:17 
头像

注册: 2009-11-04 19:15
帖子: 44
送出感谢: 0 次
接收感谢: 0 次
是不是无法获得锁?试试终端输入:
sudo rm /var/cache/apt/archives/lock
sudo rm /var/lib/dpkg/lock


页首
 用户资料  
 
13 楼 
 文章标题 : Re: deb安装包无法安装怎么办捏????
帖子发表于 : 2011-01-08 15:20 

注册: 2011-01-08 10:18
帖子: 15
送出感谢: 0 次
接收感谢: 0 次
thanks


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 13 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:Yahoo [Bot] 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译